#
# spec file for package cosmic-ext-tasks
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname dev.edfloreshz.Tasks
Name:           cosmic-ext-tasks
Version:        0.1.0+git20241009.2fd615c
Release:        1.1
Summary:        Task Management app for COSMIC DE
License:        GPL-3.0-only
URL:            https://github.com/edfloreshz/tasks
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(xkbcommon)

%description
%{summary}.

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install
%suse_update_desktop_file %{appname}
%fdupes %{buildroot}

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/tasks
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/*/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.metainfo.xml

%changelog
* Thu Oct 10 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.1.0+git20241009.2fd615c:
  * improv: simplify main
  * chore: update libcosmic
  * chore: update sqlx
  * fix: new task input container style
  * chore: downgrade cosmic-text
  * Add dependencies
  * update metainfo for COSMIC Store featured page
  * Replace provides ID
  * fix: remove project group cosmic
  * Expand metainfo
- update upstream url
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Wed Aug  7 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.1.0+git20240802.4d827d3:
  * update translations
  * update dependencies
- enable leap (thanks to vyvir)
* Wed Mar 20 2024 Richard Rahl <rrahl0@proton.me>
- initial packaging
